# Date Range

The `DateRange` is an object used in the Marketplace APIs to represent a range between two dates. The Date Range object has two fields.

<table><thead><tr><th width="138">Field Name</th><th width="173">Data Type</th><th>Description</th></tr></thead><tbody><tr><td><code>start</code></td><td>string</td><td>The start date of the range.</td></tr><tr><td><code>end</code></td><td>string</td><td>The end date of the range.</td></tr></tbody></table>

### Example

{% code lineNumbers="true" %}

```json
{
  "start": "2019-02-10",
  "end": "2023-01-01"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/common-api-objects/date-range.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
